package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 参数设置对象 parameter_set
 * 
 * @author boman
 * @date 2025-06-18
 */
public class ParameterSet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 参数ID */
    private Long parameterId;

    /** 通道ID */
    @Excel(name = "通道ID")
    private Long channelId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long equipmentId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String equipmentNum;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String equipmentName;

    /** 通道编号 */
    @Excel(name = "通道编号")
    private String channelNum;

    /** 坐标范围 */
    @Excel(name = "坐标范围")
    private String channelRange;

    /** 离岗时间设置 默认：10 分钟 */
    @Excel(name = "离岗时间设置 默认：10 分钟")
    private String leaveTime;

    /** 玩手机时间设置 默认：10 分钟 */
    @Excel(name = "玩手机时间设置 默认：10 分钟")
    private String playTime;

    /** 离岗时间相似度设置 默认：0.5 */
    @Excel(name = "离岗时间相似度设置 默认：0.5")
    private String leaveRate;

    /** 玩手机相似度设置 默认：0.5 */
    @Excel(name = "玩手机相似度设置 默认：0.5")
    private String playRate;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setParameterId(Long parameterId) 
    {
        this.parameterId = parameterId;
    }

    public Long getParameterId() 
    {
        return parameterId;
    }

    public void setChannelId(Long channelId) 
    {
        this.channelId = channelId;
    }

    public Long getChannelId() 
    {
        return channelId;
    }

    public void setEquipmentId(Long equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId() 
    {
        return equipmentId;
    }

    public void setEquipmentNum(String equipmentNum) 
    {
        this.equipmentNum = equipmentNum;
    }

    public String getEquipmentNum() 
    {
        return equipmentNum;
    }

    public void setEquipmentName(String equipmentName) 
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName() 
    {
        return equipmentName;
    }

    public void setChannelNum(String channelNum) 
    {
        this.channelNum = channelNum;
    }

    public String getChannelNum() 
    {
        return channelNum;
    }

    public void setChannelRange(String channelRange) 
    {
        this.channelRange = channelRange;
    }

    public String getChannelRange() 
    {
        return channelRange;
    }

    public void setLeaveTime(String leaveTime) 
    {
        this.leaveTime = leaveTime;
    }

    public String getLeaveTime() 
    {
        return leaveTime;
    }

    public void setPlayTime(String playTime) 
    {
        this.playTime = playTime;
    }

    public String getPlayTime() 
    {
        return playTime;
    }

    public void setLeaveRate(String leaveRate) 
    {
        this.leaveRate = leaveRate;
    }

    public String getLeaveRate() 
    {
        return leaveRate;
    }

    public void setPlayRate(String playRate) 
    {
        this.playRate = playRate;
    }

    public String getPlayRate() 
    {
        return playRate;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("parameterId", getParameterId())
            .append("channelId", getChannelId())
            .append("equipmentId", getEquipmentId())
            .append("equipmentNum", getEquipmentNum())
            .append("equipmentName", getEquipmentName())
            .append("channelNum", getChannelNum())
            .append("channelRange", getChannelRange())
            .append("leaveTime", getLeaveTime())
            .append("playTime", getPlayTime())
            .append("leaveRate", getLeaveRate())
            .append("playRate", getPlayRate())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
